# Publish an approved entry

`POST /cms/entries/{id}/publish` · Rivier · content

Publish an approved entry.

- Scope: content:write
- Mcp: rivier_cms_publish
- Graphql: Mutation.contentEntryPublish
- Sdk: content.entry.publish
- Cli: content entry publish
- Events: content.entry.published

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "dryRun": {
      "type": "boolean"
    }
  },
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/cms/entries/{id}/publish' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "dryRun": false
}'
```
